### Method

# RB Shell register_entry_type_for_source

#### Declaration [src]

    void
    rb_shell_register_entry_type_for_source (
      RBShell* shell,
      RBSource* source,
      RhythmDBEntryType* type
    )

#### Description [src]

Registers a source as the owner of entries of the specified type. The main effect of this is that calling #rb_shell_get_source_by_entry_type with the same entry type will return the source. A source should only be registered as the owner of a single entry type.

#### Parameters

`source`

  Type: `RBSource`

  The `RBSource` to register.

  The data is owned by the caller of the method.

`type`

  Type: `RhythmDBEntryType`

  The `RhythmDBEntryType` to register for.

  The data is owned by the caller of the method.